'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-41c40c35.js');
const icons = require('./icons-77100a07.js');

class Iqons{static async svg(t){const e=makeHash(t);return this._svgTemplate(e[0],e[2],e[3]+e[4],e[5]+e[6],e[7]+e[8],e[9]+e[10],e[11])}static async render(t,e){e.innerHTML=await this.svg(t);}static async toDataUrl(t){return `data:image/svg+xml;base64,${this._btoa(await this.svg(t,!0))}`}static placeholder(t="#bbb",e=1){return `<svg viewBox="0 0 160 160" width="160" height="160" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/2000/xlink" >\n<path fill="none" stroke="${t}" stroke-width="${2*e}" transform="translate(0, 8) scale(0.5)" d="M251.6 17.34l63.53 110.03c5.72 9.9 5.72 22.1 0 32L251.6 269.4c-5.7 9.9-16.27 16-27.7 16H96.83c-11.43 0-22-6.1-27.7-16L5.6 159.37c-5.7-9.9-5.7-22.1 0-32L69.14 17.34c5.72-9.9 16.28-16 27.7-16H223.9c11.43 0 22 6.1 27.7 16z"/>\n<g transform="scale(0.9) translate(9, 8)">\n<circle cx="80" cy="80" r="40" fill="none" stroke="${t}" stroke-width="${e}" opacity=".9"></circle>\n<g opacity=".1" fill="#010101"><path d="M119.21,80a39.46,39.46,0,0,1-67.13,28.13c10.36,2.33,36,3,49.82-14.28,10.39-12.47,8.31-33.23,4.16-43.26A39.35,39.35,0,0,1,119.21,80Z"/></g>\n</g></svg>`}static renderPlaceholder(t,e,s){t.innerHTML=this.placeholder(e,s);}static placeholderToDataUrl(t,e){return `data:image/svg+xml;base64,${this._btoa(this.placeholder(t,e))}`}static async image(t){const e=await this.toDataUrl(t),s=await this._loadImage(e);return s.style.width="100%",s.style.height="100%",s}static async _svgTemplate(t,e,s,a,n,i,r){return this._$svg(await this._$iqons(t,e,s,a,n,i,r))}static async _$iqons(t,e,s,a,n,i,r){const o=hashToRGB(t,e,r);return t=o.main,e=o.background,`<g color="${t}" fill="${r=o.accent}">\n<rect fill="${e}" x="0" y="0" width="160" height="160"></rect>\n<circle cx="80" cy="80" r="40" fill="${t}"></circle>\n<g opacity=".1" fill="#010101"><path d="M119.21,80a39.46,39.46,0,0,1-67.13,28.13c10.36,2.33,36,3,49.82-14.28,10.39-12.47,8.31-33.23,4.16-43.26A39.35,39.35,0,0,1,119.21,80Z"/></g>\n${await this._generatePart("top",a)}\n${await this._generatePart("side",n)}\n${await this._generatePart("face",s)}\n${await this._generatePart("bottom",i)}\n</g>`}static _$svg(t){const e=this._getRandomId();return `<svg viewBox="0 0 160 160" width="160" height="160" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/2000/xlink" >\n<defs><clipPath id="hexagon-clip-${e}">\n<path d="M251.6 17.34l63.53 110.03c5.72 9.9 5.72 22.1 0 32L251.6 269.4c-5.7 9.9-16.27 16-27.7 16H96.83c-11.43 0-22-6.1-27.7-16L5.6 159.37c-5.7-9.9-5.7-22.1 0-32L69.14 17.34c5.72-9.9 16.28-16 27.7-16H223.9c11.43 0 22 6.1 27.7 16z" transform="scale(0.5) translate(0, 16)"/>\n</clipPath></defs>\n<g clip-path="url(#hexagon-clip-${e})">\n${t}\n</g></svg>`}static async _generatePart(t,e){const s=await this._getAssets(),a=t+"_"+this._assetIndex(e,t),n=s.getElementById(a);return n?n.innerHTML:""}static _loadImage(t){return new Promise((e,s)=>{const a=document.createElement("img");a.addEventListener("load",t=>e(a),{once:!0}),a.src=t;})}static async _getAssets(){return this._assetsPromise||(this._assetsPromise=new Promise(async function(t){let e;e="undefined"!=typeof IqonsAssets?IqonsAssets:await fetch(self.NIMIQ_IQONS_SVG_PATH||Iqons.svgPath).then(t=>t.text()),"undefined"!=typeof module&&module.exports&&(global.DOMParser=require("dom-parser")),t((new DOMParser).parseFromString(e,"image/svg+xml"));}))}static _btoa(t){return "undefined"!=typeof module&&module.exports?new Buffer(t).toString("base64"):btoa(t)}static _assetIndex(t,e){return (t=Number(t)%Iqons.ASSET_COUNTS[e]+1)<10&&(t="0"+t),t}static _getRandomId(){return Math.floor(256*Math.random())}}
// @asset(/node_modules/@nimiq/iqons/dist/iqons.min.svg);
Iqons.svgPath="/node_modules/@nimiq/iqons/dist/iqons.min.svg",Iqons.ASSET_COUNTS={top:21,side:21,face:21,bottom:21};
function makeHash(t){const r=(""+t.split("").map(t=>Number(t.charCodeAt(0))+3).reduce((t,r)=>t*(1-t)*__chaosHash(r),.5)).split("").reduce((t,r)=>r+t,"");return _padEnd(r.replace(".",r[5]).substr(4,17),13,r[5])};function __chaosHash(t){let r=1/t;for(let t=0;t<100;t++)r=(1-r)*r*3.569956786876;return r}function _padEnd(t,r,e){if(String.prototype.padEnd)return t.padEnd(r,e);for(;t.length<r;)t+=e;return t.substring(0,Math.max(t.length,r))}
const colorNames=["Orange","Red","Yellow","Indigo","Blue","Purple","Teal","Pink","Green","Brown"];
function hashToRGB(o,n,r){return indicesToRGB(hashToIndices(o,n,r))};function hashToIndices(o,n,r){for(o=parseInt(o,10),n=parseInt(n,10),r=parseInt(r,10),o===n&&++o>9&&(o=0);r===o||r===n;)++r>9&&(r=0);return {main:o,background:n,accent:r}};function indicesToRGB(o){return {main:colors[o.main],background:backgroundColors[o.background],accent:colors[o.accent]}}function getBackgroundColorName(o){const n=makeHash(o),r=parseInt(n[2],10);return colorNames[r]};const colors=["#FC8702","#D94432","#E9B213","#1A5493","#0582CA","#5961A8","#21BCA5","#FA7268","#88B04B","#795548"];const backgroundColors=["#FC8702","#D94432","#E9B213","#1F2348","#0582CA","#5F4B8B","#21BCA5","#FA7268","#88B04B","#795548"];

var Status;
(function (Status) {
    Status[Status["Idle"] = 0] = "Idle";
    Status[Status["Progress"] = 1] = "Progress";
    Status[Status["Success"] = 2] = "Success";
    Status[Status["Error"] = 3] = "Error";
})(Status || (Status = {}));
const Donate = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.status = Status.Idle;
        this.isOpen = false;
        this.addressChunks = [];
        /**
         * The theme of the button. Use light when using against dark background.
         */
        this.theme = 'neutral';
        /**
         * The network you want to use. Can be 'main' or 'test'.
         */
        this.network = 'main';
        /**
         * The text to display on the button. Default: "Donate NIM"
         */
        this.text = 'Donate NIM';
        /**
         * The text to display once payment is done. Default: "Thank you for the donation!"
         */
        this.thankyou = 'Thank you for the donation!';
    }
    onRecipientChanged() {
        this.breakAddressIntoChunks();
        this.generateIdenticon();
    }
    componentWillLoad() {
        Iqons.svgPath = core.getAssetPath('./identicons/iqons.min.svg');
        this.breakAddressIntoChunks();
        this.generateIdenticon();
    }
    breakAddressIntoChunks() {
        const addressWithoutSpaces = this.recipient.replace(/\s/g, '');
        this.addressChunks = addressWithoutSpaces.match(/.{1,4}/g);
    }
    generateIdenticon() {
        Iqons.toDataUrl(this.recipient).then(identicon => {
            this.identicon = identicon;
        });
    }
    open() {
        this.isOpen = true;
    }
    close() {
        this.isOpen = false;
    }
    async donate(event) {
        event.preventDefault();
        this.status = Status.Progress;
        let options = {
            appName: this.text,
            recipient: this.recipient,
            value: this.amount * 100000,
        };
        if (this.logoUrl) {
            options.shopLogoUrl = this.logoUrl;
        }
        if (this.fee) {
            options.fee = this.fee;
        }
        if (this.message) {
            options.extraData = this.message.trim();
        }
        const hubApi = new icons.HubApi(icons.HubUrl[this.network]);
        try {
            await hubApi.checkout(options);
            this.status = Status.Success;
            setTimeout(() => {
                this.status = Status.Idle;
                this.close();
            }, 2000);
        }
        catch (error) {
            this.status = Status.Error;
            setTimeout(() => {
                this.status = Status.Idle;
            }, 2000);
        }
    }
    updateAmount(event) {
        this.amount = parseFloat(event.target.value);
    }
    updateMessage(event) {
        this.message = event.target.value;
    }
    canConfirm() {
        return this.amount > 0;
    }
    render() {
        return (core.h("div", { class: "donate" }, core.h("button", { class: 'nim-button nim-theme-' + this.theme, disabled: this.status === Status.Progress, type: "button", onClick: _ => this.open() }, core.h(icons.Hexagon, { class: "nim-icon nim-logo" }), core.h("div", null, core.h("span", null, this.text))), core.h("div", { class: { overlay: true, 'is-open': this.isOpen } }, core.h("div", { class: "dialog" }, core.h("button", { onClick: _ => this.close(), type: "button", class: "close" }, core.h(icons.Close, { class: "nim-icon" })), core.h("form", { onSubmit: e => this.donate(e) }, core.h("h2", null, "Donate"), core.h("div", { class: "recipient" }, core.h("div", { class: "identicon" }, core.h("img", { src: this.identicon })), core.h("div", { class: "address" }, this.addressChunks.map(chunk => (core.h("span", { class: "chunk" }, chunk))))), core.h("div", { class: "amount" }, core.h("input", { onInput: e => this.updateAmount(e), type: "text", placeholder: "0.00" }), core.h("span", { class: "ticker" }, "NIM")), core.h("div", { class: "message" }, core.h("input", { onInput: e => this.updateMessage(e), type: "text", maxLength: 64, placeholder: "Add a message..." })), core.h("div", { class: "confirm" }, core.h("button", { disabled: !this.canConfirm(), class: "nim-button nim-theme-light-blue", type: "submit" }, "Confirm"))), core.h("div", { class: {
                flash: true,
                show: this.status !== Status.Idle,
            } }, core.h("p", null, "Transaction in progress...")), core.h("div", { class: {
                'flash success': true,
                show: this.status === Status.Success,
            } }, core.h("p", null, this.thankyou)), core.h("div", { class: {
                'flash error': true,
                show: this.status === Status.Error,
            } }, core.h("p", null, "Transaction failed. Please try again."))))));
    }
    static get assetsDirs() { return ["identicons"]; }
    static get watchers() { return {
        "recipient": ["onRecipientChanged"]
    }; }
    static get style() { return ":host {\n  display: inline-block;\n  --nimiq-blue: #1f2348;\n  --nimiq-light-blue: #0582ca;\n  --nimiq-gold: #e9b213;\n  --nimiq-green: #21bca5;\n  --nimiq-orange: #fc8702;\n  --nimiq-red: #d94432;\n  --nimiq-gray: #e2e8f0;\n  --nimiq-light-gray: #edf2f7;\n  --nimiq-blue-darkened: #151833;\n  --nimiq-light-blue-darkened: #0071c3;\n  --nimiq-gold-darkened: #e5a212;\n  --nimiq-green-darkened: #20b29e;\n  --nimiq-orange-darkened: #fc7500;\n  --nimiq-red-darkened: #d13030;\n  --nimiq-blue-bg: radial-gradient(ellipse at bottom right, #260133, var(--nimiq-blue));\n  --nimiq-light-blue-bg: radial-gradient(ellipse at bottom right, #265dd7, var(--nimiq-light-blue));\n  --nimiq-gold-bg: radial-gradient(ellipse at bottom right, #ec991c, var(--nimiq-gold));\n  --nimiq-green-bg: radial-gradient(ellipse at bottom right, #41a38e, var(--nimiq-green));\n  --nimiq-orange-bg: radial-gradient(ellipse at bottom right, #fd6216, var(--nimiq-orange));\n  --nimiq-red-bg: radial-gradient(ellipse at bottom right, #cc3047, var(--nimiq-red));\n  --nimiq-blue-bg-darkened: radial-gradient(ellipse at bottom right, #180021, var(--nimiq-blue-darkened));\n  --nimiq-light-blue-bg-darkened: radial-gradient(ellipse at bottom right, #2355c4, var(--nimiq-light-blue-darkened));\n  --nimiq-gold-bg-darkened: radial-gradient(ellipse at bottom right, #e58a1b, var(--nimiq-gold-darkened));\n  --nimiq-green-bg-darkened: radial-gradient(ellipse at bottom right, #3d9988, var(--nimiq-green-darkened));\n  --nimiq-orange-bg-darkened: radial-gradient(ellipse at bottom right, #ea5200, var(--nimiq-orange-darkened));\n  --nimiq-red-bg-darkened: radial-gradient(ellipse at bottom right, #bf2d46, var(--nimiq-red-darkened));\n}\n\n.donate {\n  font-family: -apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen, Ubuntu, Cantarell, \'Open Sans\',\n    \'Helvetica Neue\', sans-serif;\n}\n\nbutton {\n  font-size: 16px;\n  border: 0 none;\n  background: none;\n  cursor: pointer;\n}\n\n.nim-button {\n  border-radius: 100px;\n  padding: 12px 20px;\n  margin: 0;\n  display: -ms-flexbox;\n  display: flex;\n  -ms-flex-direction: row;\n  flex-direction: row;\n  -ms-flex-align: center;\n  align-items: center;\n  position: relative;\n  -webkit-box-shadow: none;\n  box-shadow: none;\n  -webkit-transition: all 300ms cubic-bezier(0.25, 0, 0, 1);\n  transition: all 300ms cubic-bezier(0.25, 0, 0, 1);\n}\n\nbutton:after {\n  content: \'\';\n  position: absolute;\n  left: -5px;\n  top: -5px;\n  right: -5px;\n  bottom: -5px;\n  border: 2px solid rgba(5, 130, 202, 0.5); /* Based on Nimiq Light Blue */\n  border-radius: 500px;\n  opacity: 0;\n}\n\nbutton:focus {\n  outline: none;\n}\n\nbutton:focus:not([disabled]):after {\n  opacity: 1;\n}\n\n.nim-button:hover {\n  -webkit-transform: translateY(-2px);\n  transform: translateY(-2px);\n  -webkit-box-shadow: 0 0.6rem 1rem rgba(0, 0, 0, 0.1);\n  box-shadow: 0 0.6rem 1rem rgba(0, 0, 0, 0.1);\n}\n\n.nim-button[disabled] {\n  background: var(--nimiq-gray) !important;\n  -webkit-box-shadow: none !important;\n  box-shadow: none !important;\n  -webkit-transform: none !important;\n  transform: none !important;\n  color: var(--nimiq-blue) !important;\n  cursor: not-allowed;\n  opacity: 0.4;\n}\n\n.nim-button[disabled] > .nim-icon {\n  color: var(--nimiq-blue);\n}\n\n.nim-logo {\n  width: 24px;\n  height: 24px;\n  margin-right: 12px;\n}\n\n/* Neutral theme */\n.nim-theme-neutral {\n  color: var(--nimiq-blue);\n  background-color: var(--nimiq-light-gray);\n}\n\n.nim-theme-neutral:hover {\n  background-color: var(--nimiq-gray);\n  -webkit-box-shadow: none;\n  box-shadow: none;\n}\n\n.nim-theme-neutral > .nim-icon {\n  color: #e9b213;\n}\n\n/* Blue theme */\n.nim-theme-blue {\n  color: #ffffff;\n  background-image: var(--nimiq-blue-bg);\n}\n\n.nim-theme-blue:hover {\n  color: #ffffff;\n  background-image: var(--nimiq-blue-bg-darkened);\n}\n\n.nim-theme-blue > .nim-icon {\n  color: var(--nimiq-gold);\n}\n\n/* Gold theme */\n.nim-theme-gold {\n  color: #ffffff;\n  background-image: var(--nimiq-gold-bg);\n}\n\n.nim-theme-gold:hover {\n  color: #ffffff;\n  background-image: var(--nimiq-gold-bg-darkened);\n}\n\n.nim-theme-gold > .nim-icon {\n  color: #ffffff;\n}\n\n/* Light blue theme */\n.nim-theme-light-blue {\n  color: #ffffff;\n  background-image: var(--nimiq-light-blue-bg);\n}\n\n.nim-theme-light-blue:hover {\n  color: #ffffff;\n  background-image: var(--nimiq-light-blue-bg-darkened);\n}\n\n.nim-theme-light-blue > .nim-icon {\n  color: #ffffff;\n}\n\n/* Green theme */\n.nim-theme-green {\n  color: #ffffff;\n  background-image: var(--nimiq-green-bg);\n}\n\n.nim-theme-green:hover {\n  color: #ffffff;\n  background-image: var(--nimiq-green-bg-darkened);\n}\n\n.nim-theme-green > .nim-icon {\n  color: #ffffff;\n}\n\n/* Orange theme */\n.nim-theme-orange {\n  color: #ffffff;\n  background-image: var(--nimiq-orange-bg);\n}\n\n.nim-theme-orange:hover {\n  color: #ffffff;\n  background-image: var(--nimiq-orange-bg-darkened);\n}\n\n.nim-theme-orange > .nim-icon {\n  color: #ffffff;\n}\n\n/* Red theme */\n.nim-theme-red {\n  color: #ffffff;\n  background-image: var(--nimiq-red-bg);\n}\n\n.nim-theme-red:hover {\n  color: #ffffff;\n  background-image: var(--nimiq-red-bg-darkened);\n}\n\n.nim-theme-red > .nim-icon {\n  color: #ffffff;\n}\n\n/* Overlay styles */\n.overlay {\n  width: 0;\n  height: 0;\n  overflow: hidden;\n  display: -ms-flexbox;\n  display: flex;\n  position: fixed;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  background-color: rgba(31, 35, 72, 0.8);\n  -ms-flex-align: center;\n  align-items: center;\n  -ms-flex-pack: center;\n  justify-content: center;\n  z-index: -1;\n}\n\n.overlay.is-open {\n  width: 100%;\n  height: 100%;\n  z-index: 500;\n}\n\n.dialog {\n  position: relative;\n  max-width: 320px;\n  width: 90%;\n  color: var(--nimiq-blue);\n  background-color: #ffffff;\n  -webkit-box-shadow: 0 0.5rem 3.5rem rgba(0, 0, 0, 0.12);\n  box-shadow: 0 0.5rem 3.5rem rgba(0, 0, 0, 0.12);\n  border-radius: 8px;\n  -webkit-transform: translateY(24px);\n  transform: translateY(24px);\n  opacity: 0;\n  -webkit-transition: opacity 400ms cubic-bezier(0.25, 0, 0, 1), -webkit-transform 400ms cubic-bezier(0.25, 0, 0, 1);\n  transition: opacity 400ms cubic-bezier(0.25, 0, 0, 1), -webkit-transform 400ms cubic-bezier(0.25, 0, 0, 1);\n  transition: transform 400ms cubic-bezier(0.25, 0, 0, 1), opacity 400ms cubic-bezier(0.25, 0, 0, 1);\n  transition: transform 400ms cubic-bezier(0.25, 0, 0, 1), opacity 400ms cubic-bezier(0.25, 0, 0, 1), -webkit-transform 400ms cubic-bezier(0.25, 0, 0, 1);\n}\n\n.overlay.is-open > .dialog {\n  -webkit-transform: translateY(0px);\n  transform: translateY(0px);\n  opacity: 1;\n}\n\n.flash {\n  position: absolute;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n  background-image: var(--nimiq-blue-bg);\n  color: #ffffff;\n  border-radius: 4px;\n  margin: 8px;\n  display: -ms-flexbox;\n  display: flex;\n  -ms-flex-align: center;\n  align-items: center;\n  -ms-flex-pack: center;\n  justify-content: center;\n  font-weight: 200;\n  opacity: 0;\n  pointer-events: none;\n}\n\n.flash.show {\n  opacity: 1;\n  pointer-events: all;\n  -webkit-transition: opacity 300ms cubic-bezier(0.25, 0, 0, 1);\n  transition: opacity 300ms cubic-bezier(0.25, 0, 0, 1);\n}\n\n.flash.error {\n  background-image: var(--nimiq-red-bg);\n}\n\n.flash.success {\n  background-image: var(--nimiq-green-bg);\n}\n\n.flash p {\n  font-size: 24px;\n  text-align: center;\n  margin: 0;\n  opacity: 0;\n  -webkit-transform: translateY(24px);\n  transform: translateY(24px);\n}\n\n.flash.show p {\n  padding: 24px;\n  opacity: 1;\n  -webkit-transform: translateY(0px);\n  transform: translateY(0px);\n  -webkit-transition: opacity 300ms cubic-bezier(0.25, 0, 0, 1), -webkit-transform 300ms 100ms cubic-bezier(0.25, 0, 0, 1);\n  transition: opacity 300ms cubic-bezier(0.25, 0, 0, 1), -webkit-transform 300ms 100ms cubic-bezier(0.25, 0, 0, 1);\n  transition: opacity 300ms cubic-bezier(0.25, 0, 0, 1), transform 300ms 100ms cubic-bezier(0.25, 0, 0, 1);\n  transition: opacity 300ms cubic-bezier(0.25, 0, 0, 1), transform 300ms 100ms cubic-bezier(0.25, 0, 0, 1), -webkit-transform 300ms 100ms cubic-bezier(0.25, 0, 0, 1);\n}\n\n.dialog h2 {\n  text-align: center;\n  font-size: 24px;\n  line-height: 1.2;\n  font-weight: 600;\n  padding: 32px;\n  margin: 0;\n}\n\n.close {\n  position: absolute;\n  top: 0;\n  right: 0;\n  width: 24px;\n  height: 24px;\n  margin: 12px;\n  padding: 0;\n  color: var(--nimiq-blue);\n  opacity: 0.5;\n}\n\n.close:hover {\n  opacity: 1;\n}\n\n.close .nim-icon {\n  display: inline;\n}\n\n.recipient {\n  display: -ms-flexbox;\n  display: flex;\n  margin-left: 24px;\n  margin-right: 24px;\n  padding-bottom: 24px;\n  border-bottom: solid 1px var(--nimiq-light-gray);\n}\n\n.recipient .identicon {\n  width: 72px;\n  height: 72px;\n  margin-right: 16px;\n}\n\n.recipient .identicon img {\n  width: 100%;\n  height: 100%;\n}\n\n.recipient .address {\n  -ms-flex: 1;\n  flex: 1;\n  display: -ms-flexbox;\n  display: flex;\n  -ms-flex-wrap: wrap;\n  flex-wrap: wrap;\n  color: var(--nimiq-blue);\n  opacity: 0.5;\n  letter-spacing: 0.02em;\n}\n\n.recipient .address > .chunk {\n  display: block;\n  width: 33.3%;\n}\n\n.confirm {\n  margin-top: 16px;\n  padding: 0 24px 24px;\n}\n\n.confirm button {\n  display: block;\n  padding: 16px;\n  width: 100%;\n}\n\n.amount {\n  margin-top: 24px;\n  font-size: 24px;\n  position: relative;\n  margin-left: 24px;\n  margin-right: 24px;\n  -webkit-box-sizing: border-box;\n  box-sizing: border-box;\n}\n\n.amount input {\n  display: block;\n  width: 100%;\n  -webkit-box-sizing: border-box;\n  box-sizing: border-box;\n  font-family: inherit;\n  font-size: inherit;\n  padding: 12px;\n  border: solid 2px rgba(31, 35, 72, 0.1);\n  color: var(--nimiq-blue);\n  background: 0 0;\n  border-radius: 8px;\n  outline: 0;\n  -webkit-transition: color 0.2s ease, border 0.2s ease;\n  transition: color 0.2s ease, border 0.2s ease;\n  background-clip: padding-box;\n}\n\n.amount input:focus {\n  border-color: rgba(5, 130, 202, 0.2);\n}\n\n.amount .ticker {\n  display: block;\n  position: absolute;\n  right: 12px;\n  bottom: 20px;\n  margin: 0;\n  padding: 0;\n  font-size: 16px;\n  font-weight: 600;\n  letter-spacing: 0.08em;\n  opacity: 0.4;\n  -webkit-transition: opacity 0.2s ease-out;\n  transition: opacity 0.2s ease-out;\n  color: var(--nimiq-light-blue);\n}\n\n.message {\n  margin-top: 24px;\n  padding-left: 32px;\n  padding-right: 32px;\n}\n\n.message input {\n  display: block;\n  width: 100%;\n  -webkit-box-sizing: border-box;\n  box-sizing: border-box;\n  font-family: inherit;\n  font-size: inherit;\n  padding: 12px 0;\n  border: 0 none;\n  border-bottom: solid 2px rgba(31, 35, 72, 0);\n  color: var(--nimiq-blue);\n  background: 0 0;\n  outline: 0;\n  -webkit-transition: color 0.2s ease, border 0.2s ease;\n  transition: color 0.2s ease, border 0.2s ease;\n  background-clip: padding-box;\n  text-align: center;\n}\n\n.message input:hover {\n  border-color: rgba(31, 35, 72, 0.1);\n}\n\n.message input:focus {\n  border-color: rgba(5, 130, 202, 0.2);\n}"; }
};

exports.nim_donate = Donate;
